import { apiClient } from "@/src/lib/api/api-client";

export const getFullCalendarService = async (id_chatbot: string) => {
    try {
        const response = await apiClient.post('chat/fullCalendar/get',{
            id_chatbot:id_chatbot
        });
        return response.data;
    }catch (error) {
        return { data: null, error: error,status:500};
    } 
}

export const createFullCalendarService = async (id_chatbot: string,title: string,sesion: string,color: string, start: string, end: string) => {
    try {
        const response = await apiClient.post('chat/fullCalendar/create',{
            id_chatbot:id_chatbot,
            title:title,
            sesion:sesion,
            start:start,
            end:end,
            color:color
        });
        return response.data;
    }catch (error) {
        return { data: null, error: error,status:500,success:false};
    } 
}

export const editFullCalendarService = async (id_chatbot: string,id: string,title: string,color: string, start: string, end: string) => {
    try {
        const response = await apiClient.post('chat/fullCalendar/edit',{
            id_chatbot:id_chatbot,
            id:id,
            title:title,
            start:start,
            end:end,
            color:color
        });
        return response.data;
    }catch (error) {
        return { data: null, error: error,status:500};
    } 
}

export const deleteFullCalendarService = async (id_chatbot: string,id: string) => {
    try {
        const response = await apiClient.post('chat/fullCalendar/delete',{
            id_chatbot:id_chatbot,
            id:id
        });
        return response.data;
    }catch (error) {
        return { data: null, error: error,status:500};
    } 
}